Bug 74165 - Update port: sysutils/munin-main 1.0.3 -> 1.0.4
Summary: Update port: sysutils/munin-main 1.0.3 -> 1.0.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-11-20 16:20 UTC by Lupe Christoph
Modified: 2004-12-14 01:46 UTC (History)
0 users

See Also:


Attachments
munin-main-1.0.4.patch (1.87 KB, patch)
2004-11-20 16:20 UTC, Lupe Christoph
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Lupe Christoph 2004-11-20 16:20:30 UTC
	Update to support Munin 1.0.4
	Remove unchanged config files on deinstall as suggested by Yen-Ming Lee.

	Files changed:
		Makefile
		distinfo
		pkg-plist
Comment 1 Sergey Matveychuk freebsd_committer 2004-11-24 20:13:53 UTC
./install-sh -m 0755 build/server/munin-cron /tmp/test/bin/
./install-sh -m 0755 build/server/munin-update /tmp/test/share/munin/
./install-sh -m 0755 build/server/munin-nagios /tmp/test/share/munin/
./install-sh -m 0755 build/server/munin-graph /tmp/test/share/munin/
./install-sh -m 0755 build/server/munin-html /tmp/test/share/munin/
./install-sh -m 0644 build/server/Munin.pm 
/usr/local/lib/perl5/site_perl/5.005/
install: /tmp/test/www/data-dist/munin/style.css: No such file or directory
*** Error code 71

Stop in /usr/ports/sysutils/munin-main.

-- 
Sem.
Comment 2 Lupe Christoph 2004-11-25 07:02:42 UTC
On Wednesday, 2004-11-24 at 23:13:53 +0300, Sergey Matveychuk wrote:
> ./install-sh -m 0755 build/server/munin-cron /tmp/test/bin/
> ./install-sh -m 0755 build/server/munin-update /tmp/test/share/munin/
> ./install-sh -m 0755 build/server/munin-nagios /tmp/test/share/munin/
> ./install-sh -m 0755 build/server/munin-graph /tmp/test/share/munin/
> ./install-sh -m 0755 build/server/munin-html /tmp/test/share/munin/
> ./install-sh -m 0644 build/server/Munin.pm 
> /usr/local/lib/perl5/site_perl/5.005/
> install: /tmp/test/www/data-dist/munin/style.css: No such file or directory
> *** Error code 71

> Stop in /usr/ports/sysutils/munin-main.

OK, I skipped a little sleep to get this done. It was a mixup between
$(PREFIX)/www/data and $(PREFIX)/www/data-dist. I'm still not sure which
one I *should* use, but using both and relying on the symlink created by
Apache is definitely bad.

You can either do a %s/data-dist/data/g on the patch or use the new one
that follows.

Thanks,
Lupe Christoph

--- munin-main-1.0.4.patch begins here ---
diff -ruN /usr/ports/sysutils/munin-main/Makefile munin-main-1.0.4/Makefile
--- /usr/ports/sysutils/munin-main/Makefile	Thu Nov 18 06:56:53 2004
+++ munin-main-1.0.4/Makefile	Wed Nov 24 23:03:19 2004
@@ -6,7 +6,7 @@

 
 PORTNAME=	munin
-PORTVERSION=	1.0.3
+PORTVERSION=	1.0.4
 CATEGORIES=	sysutils perl5
 MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
 MASTER_SITE_SUBDIR=	munin
@@ -44,6 +44,12 @@
 	@PKG_PREFIX=${PREFIX} ${SH} pkg-install ${PKGNAME} PRE-INSTALL
 
 post-install:
+	@if [ ! -f ${PREFIX}/www/data/munin/style.css ]; then \
+		${INSTALL_DATA} ${PREFIX}/etc/munin/templates/style.css ${PREFIX}/www/data/munin/style.css; \
+	fi
+	@if [ ! -f ${PREFIX}/www/data/munin/logo.png ]; then \
+		${INSTALL_DATA} ${PREFIX}/etc/munin/templates/logo.png ${PREFIX}/www/data/munin/logo.png; \
+	fi
 	@${INSTALL_MAN} -C ${WRKSRC}/build/doc/munin.conf.5 ${PREFIX}/man/man5
 	@${INSTALL_MAN} -C ${WRKSRC}/build/doc/munin-cron.8 ${PREFIX}/man/man8
 	@${INSTALL_MAN} -C ${WRKSRC}/build/doc/munin-graph.8 ${PREFIX}/man/man8
diff -ruN /usr/ports/sysutils/munin-main/distinfo munin-main-1.0.4/distinfo
--- /usr/ports/sysutils/munin-main/distinfo	Thu Nov 18 06:56:53 2004
+++ munin-main-1.0.4/distinfo	Wed Nov 24 22:59:37 2004
@@ -1,2 +1,2 @@
-MD5 (munin_1.0.3.tar.gz) = 8114e4d716e0ec7ac70357a697af28cf
-SIZE (munin_1.0.3.tar.gz) = 214362
+MD5 (munin_1.0.4.tar.gz) = 00721181e1ff81be85ad89307457d998
+SIZE (munin_1.0.4.tar.gz) = 214902
diff -ruN /usr/ports/sysutils/munin-main/pkg-plist munin-main-1.0.4/pkg-plist
--- /usr/ports/sysutils/munin-main/pkg-plist	Sat Jun 12 19:41:59 2004
+++ munin-main-1.0.4/pkg-plist	Wed Nov 24 22:59:38 2004
@@ -1,4 +1,6 @@
 bin/munin-cron
+@unexec if cmp -s %D/etc/munin/templates/style.css %D/www/data-dist/munin/style.css; then rm -f %D/www/data-dist/munin/style.css; fi
+@unexec if cmp -s %D/etc/munin/templates/logo.png %D/www/data-dist/munin/logo.png; then rm -f %D/www/data-dist/munin/logo.png; fi
 etc/munin/munin.conf
 etc/munin/templates/logo.png
 etc/munin/templates/munin-domainview.tmpl
-- munin-main-1.0.4.patch ends here ---
-- 
| lupe@lupe-christoph.de       |           http://www.lupe-christoph.de/ |
| "... putting a mail server on the Internet without filtering is like   |
| covering yourself with barbecue sauce and breaking into the Charity    |
| Home for Badgers with Rabies.                            Michael Lucas |
Comment 3 Lupe Christoph 2004-11-26 18:47:11 UTC
I'm getting too little sleep. This should not have gone to PR #74166.

Sorry,
Lupe Christoph
----- Forwarded message from Lupe Christoph <lupe@lupe-christoph.de> -----

From: Lupe Christoph <lupe@lupe-christoph.de>
To: FreeBSD-gnats-submit@FreeBSD.org
Cc: Sergey Matveychuk <sem@FreeBSD.org>
Date: Fri, 26 Nov 2004 08:22:59 +0100
Subject: Re: ports/74166: Update port: sysutils/munin-node 1.0.3 -> 1.0.4

Third version of the update patch. Now it has a deinstall message.
Previously, only munin-node had this, and for both ports. The deinstall
message in munin-node gets corrected by a correspondingly changed update
patch. Both messages refer to the other port for common parts.

Lupe Christoph
--- munin-main-1.0.4.patch begins here ---
diff -ruN /usr/ports/sysutils/munin-main/Makefile munin-main-1.0.4/Makefile
--- /usr/ports/sysutils/munin-main/Makefile	Thu Nov 18 06:56:53 2004
+++ munin-main-1.0.4/Makefile	Wed Nov 24 23:03:19 2004
@@ -6,7 +6,7 @@

 
 PORTNAME=	munin
-PORTVERSION=	1.0.3
+PORTVERSION=	1.0.4
 CATEGORIES=	sysutils perl5
 MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
 MASTER_SITE_SUBDIR=	munin
@@ -44,6 +44,12 @@
 	@PKG_PREFIX=${PREFIX} ${SH} pkg-install ${PKGNAME} PRE-INSTALL
 
 post-install:
+	@if [ ! -f ${PREFIX}/www/data/munin/style.css ]; then \
+		${INSTALL_DATA} ${PREFIX}/etc/munin/templates/style.css ${PREFIX}/www/data/munin/style.css; \
+	fi
+	@if [ ! -f ${PREFIX}/www/data/munin/logo.png ]; then \
+		${INSTALL_DATA} ${PREFIX}/etc/munin/templates/logo.png ${PREFIX}/www/data/munin/logo.png; \
+	fi
 	@${INSTALL_MAN} -C ${WRKSRC}/build/doc/munin.conf.5 ${PREFIX}/man/man5
 	@${INSTALL_MAN} -C ${WRKSRC}/build/doc/munin-cron.8 ${PREFIX}/man/man8
 	@${INSTALL_MAN} -C ${WRKSRC}/build/doc/munin-graph.8 ${PREFIX}/man/man8
diff -ruN /usr/ports/sysutils/munin-main/distinfo munin-main-1.0.4/distinfo
--- /usr/ports/sysutils/munin-main/distinfo	Thu Nov 18 06:56:53 2004
+++ munin-main-1.0.4/distinfo	Wed Nov 24 22:59:37 2004
@@ -1,2 +1,2 @@
-MD5 (munin_1.0.3.tar.gz) = 8114e4d716e0ec7ac70357a697af28cf
-SIZE (munin_1.0.3.tar.gz) = 214362
+MD5 (munin_1.0.4.tar.gz) = 00721181e1ff81be85ad89307457d998
+SIZE (munin_1.0.4.tar.gz) = 214902
diff -ruN /usr/ports/sysutils/munin-main/pkg-plist munin-main-1.0.4/pkg-plist
--- /usr/ports/sysutils/munin-main/pkg-plist	Sat Jun 12 19:41:59 2004
+++ munin-main-1.0.4/pkg-plist	Fri Nov 26 07:56:37 2004
@@ -1,4 +1,6 @@
 bin/munin-cron
+@unexec if cmp -s %D/etc/munin/templates/style.css %D/www/data-dist/munin/style.css; then rm -f %D/www/data-dist/munin/style.css; fi
+@unexec if cmp -s %D/etc/munin/templates/logo.png %D/www/data-dist/munin/logo.png; then rm -f %D/www/data-dist/munin/logo.png; fi
 etc/munin/munin.conf
 etc/munin/templates/logo.png
 etc/munin/templates/munin-domainview.tmpl
@@ -18,3 +20,22 @@
 @unexec rmdir %D/share/munin 2>/dev/null || true
 @dirrm etc/munin/templates
 @unexec rmdir %D/etc/munin 2>/dev/null || true
+@unexec echo
+@unexec echo '********************************************************************'
+@unexec echo "If you want to *completely* remove munin-main, you have to"
+@unexec echo
+@unexec echo "    rm -rf %D/var/munin/datafile %D/www/data/munin \\"
+@unexec echo "          "`ls -d /usr/local/var/munin/* | grep -v plugin-state`" \\"
+@unexec if [ -f %D/etc/munin/munin.conf ]; then echo "           %D/etc/munin/munin.conf \\"; fi
+@unexec if [ -d %D/etc/munin/templates ]; then echo "           %D/etc/munin/templates \\"; fi
+@unexec echo "           %D/etc/munin/munin-node.conf %D/etc/munin/plugins \\"
+@unexec echo "           /var/log/munin"
+@unexec echo
+@unexec echo "If you have already deinstalled munin-node, you can also"
+@unexec echo
+@unexec echo "    rmdir %D/etc/munin %D/var/munin"
+@unexec echo
+@unexec echo "These files and directories have to be left on the system because"
+@unexec echo "you may be performing an update. This process can't tell."
+@unexec echo '********************************************************************'
+@unexec echo
 -- munin-main-1.0.4.patch ends here ---
-- 
| lupe@lupe-christoph.de       |           http://www.lupe-christoph.de/ |
| "... putting a mail server on the Internet without filtering is like   |
| covering yourself with barbecue sauce and breaking into the Charity    |
| Home for Badgers with Rabies.                            Michael Lucas |

----- End forwarded message -----

-- 
| lupe@lupe-christoph.de       |           http://www.lupe-christoph.de/ |
| "... putting a mail server on the Internet without filtering is like   |
| covering yourself with barbecue sauce and breaking into the Charity    |
| Home for Badgers with Rabies.                            Michael Lucas |
Comment 4 Sergey Matveychuk freebsd_committer 2004-12-14 01:45:52 UTC
State Changed
From-To: open->closed

Committed, thanks!